Hot News aus dem CAD.de-Newsletter:

Unser Angebot:

  Foren auf CAD.de (alle Foren)
  
  Multivalue Parameter mit Try und Catch

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Multivalue Parameter mit Try und Catch (132 mal gelesen)
OibelTroibel
Mitglied
Konstrukteur


Sehen Sie sich das Profil von OibelTroibel an!   Senden Sie eine Private Message an OibelTroibel  Schreiben Sie einen Gästebucheintrag für OibelTroibel

Beiträge: 236
Registriert: 18.04.2014

ACAD/Inventor 2020 Professional

erstellt am: 19. Mrz. 2020 11:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen

Ich möchte prüfen ob ein der Benutzerparameter "Beschaffung" vorhanden ist und falls nicht diesen anlegen und mit einer Auswahl gleich den Wert bestimmen. Der ausgewählte Wert wird zwar richtig weitergegeben, jedoch in den Parametern nicht ausgewählt.
Wenn ich in der Auswahlmaske "Drehteil" auswähle, kann ich zwar den Wert "Drehteil" im Code weitergeben, jedoch bleibt der MultivalueParameter auf "3D-Druck".
Was übersehe ich?

Code:
Dim oUserParameter As UserParameters
oUserParameter=ThisDoc.Document.ComponentDefinition.Parameters.UserParameters                         

Try
otester = oUserParameter.Item("Beschaffung")
Catch
oParameter=oUserParameter.AddByValue("Beschaffung", "3D-Druck", UnitsTypeEnum.kTextUnits)
MultiValue.SetList("Beschaffung", "3D-Druck", "Blechteil", "Drehteil", "Einkaufsteil", "Frästeil", "nicht definiert", "Plexiglas")

Beschaffung = InputListBox("Beschaffungsmethode wählen", MultiValue.List("Beschaffung"),  _
Beschaffung, Title := "Beschaffungsmethode", ListName := "Auswahl")
End Try

Beste Grüsse
Raphael

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik


Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 1577
Registriert: 15.11.2006

Windows 7 x64, AIS 2014

erstellt am: 19. Mrz. 2020 14:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für OibelTroibel 10 Unities + Antwort hilfreich

Hallo

Ändern der Parameterwerte in iLogic über die Parameter-Funktion.

Code:
Parameter ("Beschaffung") = (InputListBox("Beschaffungsmethode wählen", MultiValue.List("Beschaffung"), Beschaffung, Title := "Beschaffungsmethode", ListName := "Auswahl"))

Anschließend eventuell gleich noch ein

Code:
ilogicvb.UpdateWhenDone=True

------------------
MfG
Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

OibelTroibel
Mitglied
Konstrukteur


Sehen Sie sich das Profil von OibelTroibel an!   Senden Sie eine Private Message an OibelTroibel  Schreiben Sie einen Gästebucheintrag für OibelTroibel

Beiträge: 236
Registriert: 18.04.2014

ACAD/Inventor 2020 Professional

erstellt am: 19. Mrz. 2020 15:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Ralf

Herzlichen Dank für den Hinweis zur Parameter-Funktion, hat super geklappt.

Beste Grüsse
Raphael

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz